Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

ezuser/admin/success.php
Go to the documentation of this file.
1 <?php
3 //
4 // $Id: success.php 6484 2001-08-17 13:36:01Z jhe $
5 //
6 // Definition of eZUser class
7 //
8 // Created on: <20-Sep-2000 13:32:11 ce>
9 //
10 // This source file is part of Exponential Basic, publishing software.
11 //
12 // Copyright (C) 1999-2001 eZ Systems. All rights reserved.
13 //
14 // This program is free software; you can redistribute it and/or
15 // modify it under the terms of the GNU General Public License
16 // as published by the Free Software Foundation; either version 2
17 // of the License, or (at your option) any later version.
18 //
19 // This program is distributed in the hope that it will be useful,
20 // but WITHOUT ANY WARRANTY; without even the implied warranty of
21 // MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
22 // GNU General Public License for more details.
23 //
24 // You should have received a copy of the GNU General Public License
25 // along with this program; if not, write to the Free Software
26 // Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, US
27 //
28
29 // include_once( "classes/INIFile.php" );
30 // include_once( "classes/eztemplate.php" );
31 // include_once( "classes/ezhttptool.php" );
32
33 $ini =& eZINI::instance( 'site.ini' );
34 $Language = $ini->variable( "eZUserMain", "Language" );
35 // $DOC_ROOT = $ini->variable( "eZUserMain", "DocumentRoot" );
36
37 // include_once( "ezuser/classes/ezuser.php" );
38 // include_once( "ezuser/classes/ezusergroup.php" );
39 // include_once( "ezuser/classes/ezmodule.php" );
40 // include_once( "ezuser/classes/ezpermission.php" );
41 // include_once( "ezsession/classes/ezsession.php" );
42
43
44 // Template
45 $t = new eZTemplate( "kernel/ezuser" . $ini->variable( "eZUserMain", "TemplateDir" ). "/login/",
46 "kernel/ezuser/admin". "/intl", $Language, "success.php" );
47 $t->setAllStrings();
48
49 $t->set_file( array(
50 "login" => "succsess.tpl"
51 ) );
52
53 $user =& eZUser::currentUser();
54 if ( !$user )
55 {
56 print( "Du m� logge inn" );
57 eZHTTPTool::header( "Location: /user/login/" );
58 exit();
59 }
60
61 eZHTTPTool::header( "Location: /" );
62
63 $t->set_var( "first_name", $user->firstName() );
64 $t->set_var( "last_name", $user->lastName() );
65
66 $t->set_var( "action_value", "login" );
67 $t->pparse( "output", "login" );
68
69 ?>
eZHTTPTool\header
static header( $string)
Definition: ezhttptool.php:96
eZTemplate
Definition: eztemplate.php:107
eZUser\currentUser
static & currentUser()
Definition: ezuser.php:896
$t
$t
Definition: ezuser/admin/success.php:45
$user
$user
Definition: ezuser/admin/success.php:53
$Language
$Language
Definition: ezuser/admin/success.php:34
$ini
$ini
Definition: ezuser/admin/success.php:33
exit
exit
Definition: folder.php:81
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.